1.0

1.0

get /v1/replications/regions

Description

List Volume Replication Region

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
querytype_name
optional
Volume Type Name
Example : HDD
any of [string, null]None
querysource_region_name
required
Region
Example : kr-west1
stringNone
queryreplication_type
required
Replication Type
Example : replication
stringNone

Responses

HTTP CodeDescriptionSchema
200OKReplicationRegionListResponse
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/replications/regions?source_region_name={source_region_name}&replication_type={replication_type}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = filestorage 1.0"

Example HTTP response

Response 200

{
    "regions": "['kr-west1']"
}